Name:           plexus-containers
Version:        1.7.1
Release:        7
Summary:        Plexus' inversion-of-control (IoC) container
License:        ASL 2.0 and MIT
URL:            https://github.com/codehaus-plexus/plexus-containers
Source0:        https://github.com/codehaus-plexus/plexus-containers/archive/plexus-containers-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  maven-local mvn(com.google.guava:guava:20.0) mvn(commons-cli:commons-cli) mvn(com.sun:tools)
BuildRequires:  mvn(com.thoughtworks.qdox:qdox) mvn(junit:junit) mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:  mvn(org.apache.maven:maven-core) mvn(org.apache.maven:maven-model) mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  mvn(org.apache.maven:maven-project) mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  mvn(org.apache.maven.plugin-tools:maven-plugin-annotations) mvn(org.apache.xbean:xbean-reflect)
BuildRequires:  mvn(org.codehaus.plexus:plexus-classworlds) mvn(org.codehaus.plexus:plexus-cli)
BuildRequires:  mvn(org.codehaus.plexus:plexus-component-annotations) mvn(org.codehaus.plexus:plexus:pom:)
BuildRequires:  mvn(org.codehaus.plexus:plexus-utils) mvn(org.jdom:jdom2) mvn(org.ow2.asm:asm)
BuildRequires:  mvn(org.ow2.asm:asm-all) mvn(org.ow2.asm:asm-commons)
Patch0000:      0001-Port-to-current-qdox.patch

%description
Plexus IoC Container core with companion tools.

%package        component-metadata
Summary:        Component metadata from plexus-containers

%description    component-metadata
plexus-component-metadata(-maven-plugin) is a Maven plugin to generate plexus component.xml from
source javadoc tags and Java 5 class annotations.

%package        component-javadoc
Summary:        Javadoc component from plexus-containers

%description    component-javadoc
Javadoc component from plexus-containers.

%package        component-annotations
Summary:        Component API from plexus-containers

%description    component-annotations
plexus-component-annotations provides the Java 5 annotations for plexus components.

%package        container-default
Summary:        Default Container from plexus-containers.

%description    container-default
plexus-container-default is the IoC container itself.

%package        help
Provides:       plexus-containers-javadoc = %{version}-%{release}
Obsoletes:      plexus-containers-javadoc < %{version}-%{release}
Summary:        Documentation for all plexus-containers packages

%description    help
Documentation for all plexus-containers packages.

%prep
%autosetup -n plexus-containers-plexus-containers-%{version} -p1
%pom_remove_plugin -r :maven-site-plugin
%pom_add_dep org.apache.maven:maven-core plexus-component-metadata
%pom_change_dep -r :google-collections com.google.guava:guava:20.0
%pom_add_dep org.ow2.asm:asm:5.0.3:runtime plexus-container-default
%pom_add_dep org.ow2.asm:asm-commons:5.0.3:runtime plexus-container-default
%pom_remove_dep com.sun:tools plexus-component-javadoc
%pom_add_dep com.sun:tools plexus-component-javadoc
%pom_xpath_inject "pom:project" "
    <packaging>bundle</packaging>
    <build>
      <plugins>
        <plugin>
          <groupId>org.apache.felix</groupId>
          <artifactId>maven-bundle-plugin</artifactId>
          <extensions>true</extensions>
          <configuration>
            <instructions>
              <_nouses>true</_nouses>
              <Export-Package>org.codehaus.plexus.component.annotations.*</Export-Package>
            </instructions>
          </configuration>
        </plugin>
      </plugins>
    </build>" plexus-component-annotations
install -d plexus-component-annotations/src/test/java
sed -i "s|<version>2.3</version>|<version> %{javadoc_plugin_version}</version>|" plexus-component-javadoc/src/it/basic/pom.xml
%mvn_alias ":plexus-container-default" "org.codehaus.plexus:containers-component-api"
%mvn_file ":plexus-component-annotations" plexus-containers/plexus-component-annotations plexus/containers-component-annotations

%build
%mvn_build -f -s
%install
%mvn_install

%files -f .mfiles-plexus-containers

%files component-metadata -f .mfiles-plexus-component-metadata

%files component-javadoc -f .mfiles-plexus-component-javadoc

%files component-annotations -f .mfiles-plexus-component-annotations

%files container-default -f .mfiles-plexus-container-default

%files help -f .mfiles-javadoc

%changelog
* Fri Dec 13 2019 Ling Yang <lingyang2@huawei.com> - 1.7.1-7
- Package init
